@import url('https://fonts.googleapis.com/css2?family=Inter:wght@300&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Inter:wght@300&family=JetBrains+Mono:wght@300&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Bellota+Text&display=swap');

.nav-forms {
  display: flex;
  align-items: center;
  margin: 0 20px 0 20px;
}

.above-div {
  height: 370px;
  width: 400px;
  margin: auto;
  position: relative;
  font-size: 3em;
}

video {
  position: absolute;
  left: 0;
  top: 0;
  right: 0;
  bottom: 0;
  margin: auto;
  z-index: -1;
}

.element-animation {
  margin: 2rem 0;
  font-size: 3rem;

  /* Скроем элемент в начальном состоянии */
  opacity: 0;
  transform: translateY(100%);
}
.element-animation.element-show {
  opacity: 1;
  transition: all 1s;
  transform: translateY(0%);
}

.text-animation {
  font-size: calc(1em + 10vw) !important;
  animation-duration: 6s;
  animation-name: movingin;
  animation-iteration-count: infinite;
}

@keyframes movingin {
  0% {
    transform: translateY(15px);
  }
  50% {
    transform: translateY(-15px);
  }
  100% {
    transform: translateY(15px);
  }
}

.fonfor {
  background: linear-gradient(blue, pink);
}

.fonfor:hover {
  background: linear-gradient(rgb(255, 0, 0), rgb(255, 192, 192));
  cursor: pointer;
}

.fonfor2 {
  background: linear-gradient(rgb(21, 203, 163), pink);
}

.fonfor2:hover {
  background: linear-gradient(rgb(255, 0, 0), rgb(255, 192, 192));
  cursor: pointer;
}

.fonfor3 {
  background: linear-gradient(rgb(135, 12, 184), pink);
}

.fonfor3:hover {
  background: linear-gradient(rgb(255, 0, 0), rgb(255, 192, 192));
  cursor: pointer;
}


.uslugifon {
  background-position: center; /* Center the image */
  background-repeat: no-repeat; /* Do not repeat the image */
  background-size: cover; /* Resize the background image to cover the entire container */
  background-image: url('/assets/img/background1.jpg');
}

.imageUslugi img {
  cursor: pointer;
  -webkit-transform: scale(1);
  transform: scale(1);
  -webkit-transition: 0.3s ease-in-out;
  transition: 0.3s ease-in-out;
}
.imageUslugi:hover img {
  -webkit-transform: scale(1.1);
  transform: scale(1.1);
}

.uslugiTheme {
  color: white;
  cursor: pointer;
  -webkit-transition: 0.3s ease-in-out;
  transition: 0.3s ease-in-out;
}

.uslugiTheme:hover {
  color: red;
}

.btn-redslayInfo {
  width: 200px;
  color: black !important;
  background-color: rgb(208, 208, 208) !important;
}

.btn-redslayInfo:hover {
  background-color: white !important;
  color: black !important;
}




/* ЭТО ВСЁ ДЛЯ МЕДИАЛАЙН */

.topMenu {
  -webkit-transition: 0.5s;
  -moz-transition: 0.5s;
  -ms-transition: 0.5s;
  -o-transition: 0.5s;
  transition: 0.5s;
  position: fixed;
  z-index: 9999;
  padding-top: 0.5rem ;
  border-style: solid;
  border-width: 0px 0px 1px 0px;
  border-color: aliceblue;
}

.topMenu a {
  font-weight: 500;
  color: rgb(255, 255, 255) !important;
  transition: ease-in-out .2s;
}

.topMenu a:hover {
  -webkit-transition: 0.2s;
  -moz-transition: 0.2s;
  -ms-transition: 0.2s;
  -o-transition: 0.2s;
  transition: ease-in-out .2s;
  font-weight: 600;
  color: rgb(116, 190, 116) !important;
}

.darkMenu {
  -webkit-transition: 0.5s;
  -moz-transition: 0.5s;
  -ms-transition: 0.5s;
  -o-transition: 0.5s;
  transition: 0.5s;
  background-color: white;
  position: fixed;
  z-index: 9999;
}

.darkMenu a {
  font-weight: 500;
  color: rgb(59, 124, 59) !important;
  transition: ease-in-out .2s;
}

.darkMenu a:hover {
  transition: ease-in-out .2s;
  color: rgb(116, 190, 116) !important;
}

.mediaFon {
  /* background-color: #1d233f; */
  background-color: #210d23;
    background-image: url(/assets/img/fon.svg);
    background-position: top;
    background-repeat: no-repeat;
    background-size: cover;
    color: #fff;
    display: flex;
    flex-direction: column;
    height: 80vh;
    justify-content: flex-end;
    overflow: hidden;
    padding-bottom: 120px;
    padding-bottom: var(--space-xl);
    position: relative;
}

.mediaFonTwo {
  /* background-color: #1d233f; */
  background-color: #1d1534;
    background-image: url(/assets/img/fonSec.svg);
    background-position: top;
    background-repeat: no-repeat;
    background-size: cover;
    color: #fff;
    display: flex;
    flex-direction: column;
    height: 65vh;
    justify-content: flex-end;
    overflow: hidden;
    padding-bottom: 120px;
    padding-bottom: var(--space-xl);
    position: relative;
}

.mediaText {
  font-size: calc(1em + 2vw) !important;
  font-family: 'Bellota Text', cursive;
  font-weight: 300;
}

.mediaTextTwo {
  font-weight: 300;
  font-size: calc(0.5em + 0.5vw) !important;
}

.mediaTextThree {
  font-weight: 300;
  font-size: calc(1em + 0.1vw) !important;
  font-family: 'Inter', sans-serif !important;
}

.mediaTextBig {
  font-weight: 300;
  font-size: calc(1em + 2vw) !important;
  font-family: 'Inter', sans-serif !important;
}

.mediaTextAbout {
  font-weight: 300;
  font-size: calc(1em + 1.1vw) !important;
}

.mediaTextInfo {
  font-weight: 200;
  font-size: calc(1em + 0.4vw) !important;
  font-family: 'Inter', sans-serif !important;
}


.goodText {
  color:rgb(134 69 148);
  font-weight: 300;
}

.contactsFont {
  font-weight: 400;
  font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
  /* color: rgb(137, 137, 137); */
  color: rgb(108, 108, 108);
}

.btn-medialine {
    font-size: calc(1em + 0.1vw) !important;
    box-shadow: 1px 1px 1px #d9bcdf;
    background-color: #3b7c3b !important;
    color: white !important;
    transition: ease-in-out .4s !important;
}

.btn-medialine:hover {
  -webkit-transition: 0.5s ease-out;
  -moz-transition: 0.5s ease-out;
  -ms-transition: 0.5s ease-out;
  -o-transition: 0.5s ease-out;
  transition: ease-in-out .4s !important;
  border-radius: 10px !important;
  background-color: #5fb15f !important;
  color: white !important;
}

.blocksThemeOne {
  position: absolute;
  z-index: 1;
  padding: 10px;
  width: 1vw;
  height: 400px;
  background-image: url(/assets/img/uslugi.png);
    background-position: top;
    background-repeat: no-repeat;
    background-size: cover;
}

.blocksThemeOne:hover {
  

}

.blocksThemeTwo {
  padding: 10px;
  width: 1vw;
  height: 400px;
  background-image: url(/assets/img/raboty.png);
    background-position: top;
    background-repeat: no-repeat;
    background-size: cover;
}

.blocksThemeThree {
  padding: 10px;
  width: 1vw;
  height: 400px;
  background-image: url(/assets/img/vacancii2.png);
    background-position: top;
    background-repeat: no-repeat;
    background-size: cover;
}


.hellow {
  border-radius: 20px;
  background-color: rgb(240, 248, 255,  0.9);
  color: black;
  margin: 20px 0 0 0;
  width: 100%;
  height: 70%;
  opacity: 0;
  transition: 0.2s ease-out;
}

.hellow:hover {
  -webkit-transition: 0.5s ease-out;
  -moz-transition: 0.5s ease-out;
  -ms-transition: 0.5s ease-out;
  -o-transition: 0.5s ease-out;
  transition: 0.5s ease-out;
  opacity: 1;
}

.hellowText {
  z-index: 2;
  color: #fff;
  font-weight: 700;
  font-size: calc(1em + 1.5vw) !important;
  text-shadow: 2px 1px 1px #000000;
}

.text-moveLR {
  font-size: calc(1em + 5vw) !important;
  animation: moveLR 8s infinite linear;
  white-space: nowrap;
}


.text-moveLR:after {
  content: "медиалайнмедиалайнмедиалайнмедиалайнмедиалайн"
}

@keyframes moveLR {
  0% {
    transform: translateX(-20%);
  }

  100% {
    transform: translateX(0%);
  }
}


.uslugiFon1 {
  /* background-color: #1d233f; */
  background-color: #1d1534;
    background-image: url(/assets/img/makets/1.webp);
    background-position: top;
    background-repeat: no-repeat;
    background-size: cover;
    color: #fff;
    display: flex;
    flex-direction: column;
    height: 55vh;
    justify-content: center;
    overflow: hidden;
    padding-bottom: 120px;
    padding-bottom: var(--space-xl);
    position: relative;
    transition: .5s ease-in-out !important;
}

.uslugiFon1:hover {
  /* background-color: #1d233f; */
  background-image: url(/assets/img/makets/2.webp);
    background-color: #1d1534;
    background-position: top;
    background-repeat: no-repeat;
    background-size: cover;
    color: #fff;
    display: flex;
    flex-direction: column;
    height: 55vh;
    justify-content: center;
    overflow: hidden;
    padding-bottom: 120px;
    padding-bottom: var(--space-xl);
    position: relative;
    transition: .5s ease-in-out !important;
    cursor: pointer;
}

.uslugiFon2 {
  /* background-color: #1d233f; */
  background-color: #1d1534;
    background-image: url(/assets/img/makets/6.webp);
    background-position: top;
    background-repeat: no-repeat;
    background-size: cover;
    color: #fff;
    display: flex;
    flex-direction: column;
    height: 55vh;
    justify-content: center;
    overflow: hidden;
    padding-bottom: 120px;
    padding-bottom: var(--space-xl);
    position: relative;
}

.uslugiFon2:hover {
    transition: .5s ease-in-out !important;
    cursor: pointer;
}

.uslugiFon3 {
  /* background-color: #1d233f; */
  background-color: #1d1534;
    background-image: url(/assets/img/makets/7.webp);
    background-position: bottom;
    background-repeat: no-repeat;
    background-size: cover;
    color: #fff;
    display: flex;
    flex-direction: column;
    height: 55vh;
    justify-content: center;
    overflow: hidden;
    padding-bottom: 120px;
    padding-bottom: var(--space-xl);
    position: relative;
}

.uslugiFon3:hover {
  transition: .5s ease-in-out !important;
  cursor: pointer;
}

.uslugiFon4 {
  /* background-color: #1d233f; */
  background-color: #1d1534;
    background-image: url(/assets/img/makets/8.jpg);
    background-position: bottom;
    background-repeat: no-repeat;
    background-size: cover;
    color: #fff;
    display: flex;
    flex-direction: column;
    height: 55vh;
    justify-content: center;
    overflow: hidden;
    padding-bottom: 120px;
    padding-bottom: var(--space-xl);
    position: relative;
}

.uslugiFon4:hover {
  transition: .5s ease-in-out !important;
  cursor: pointer;
}




.text-merch {
  margin-bottom: 0px;
  font-size: calc(1em + 5vw) !important;
  animation: merchLR 35s infinite linear;
  white-space: nowrap;
  transition: .5s ease-in-out;
}

.text-merch:hover {
  transition: .3s ease-in-out;
  background-color: rgb(66, 184, 211);
}

.text-merch:after {
  content: "мерчендайзинг мерчендайзинг мерчендайзинг мерчендайзинг "
}

@keyframes merchLR {
  0% {
    transform: translateX(-50%);
  }

  100% {
    transform: translateX(0%);
  }
}

.text-digital {
  margin-bottom: 0px;
  font-size: calc(1em + 5vw) !important;
  animation: merchLR 18s infinite linear;
  white-space: nowrap;
  transition: .5s ease-in-out;
}
.text-digital:hover {
  transition: .3s ease-in-out;
  background-color: rgb(66, 184, 211);
}

.text-digital:after {
  content: "digital реклама digital реклама "
}

.text-events {
  margin-bottom: 0px;
  font-size: calc(1em + 5vw) !important;
  animation: merchLR 30s infinite linear;
  white-space: nowrap;
  transition: .5s ease-in-out;
}

.text-events:hover {
  transition: .3s ease-in-out;
  background-color: rgb(66, 184, 211);
}

.text-events:after {
  content: "проведение мероприятий проведение мероприятий "
}

.text-design {
  margin-bottom: 0px;
  font-size: calc(1em + 5vw) !important;
  animation: merchLR 25s infinite linear;
  white-space: nowrap;
  transition: .5s ease-in-out;
}

.text-design:hover {
  transition: .3s ease-in-out;
  background-color: rgb(66, 184, 211);
}

.text-design:after {
  content: "брендинг нейминг дизайн "
}


/* СТИЛИ ДЛЯ ИНФОРЕСУРСА */

.inforLogo {
  background-image: url('assets/img/logo.svg');
  fill: darkgreen !important;
}

.inforColorText {
  opacity: .7;
  transition: .2s ease-in-out;
}

.inforColorText:hover {
  opacity: 1;
  transition: .2s ease-in-out;
  cursor: pointer;
}

.newsInfo {
  display: flex; 
  align-items: center; 
  justify-content: center; 
  flex-direction: column;
}

/* .newsInfo {
  display: flex; 
  align-items: flex-end; 
  justify-content: center; 
  flex-direction: column;
} */


.rmBack {
  background: url(/assets/img/rm_fon2.png) center/50%;
}

.rmFonDark {
  background-color: #18381e;
}

.rmFonDark2 {
  background-color: #071309;
}

.rmFonLight {
  background-color: #adceac;
}

.rmFonLight2 {
  background-color: #8bc389;
}

.rmTextBig {
  font-weight: 300;
  font-size: calc(1em + 1vw) !important;
  font-family: 'Inter', sans-serif !important;
}

.rmMainText {
  color: rgb(59, 124, 59) !important;
  font-size: calc(1em + 8vw) !important;
  font-family: 'Bellota Text', cursive;
  font-weight: 300;
}

.rmMainText2 {
  color: rgb(59, 124, 59) !important;
  font-size: calc(1em + 3vw) !important;
  font-family: 'Bellota Text', cursive;
  font-weight: 300;
}

.rmMainBack {
  background-color: rgba(33, 37, 41, 0.7);
}

.rmfon {
  background: center url(/assets/img/rmfon.png);
  background-size: cover;
}

.rmfon2 {
  background: center url(/assets/img/rmfon2.png);
  background-size: cover;
}

.rmfon3 {
  background: center url(/assets/img/rmfon3.png);
  background-size: cover;
}

.rmfon4 {
  background: center url(/assets/img/rmfon4.png);
  background-size: cover;
}

.rmfon5 {
  background: center url(/assets/img/rmInfo.png);
  background-size: cover;
}

.rmfonAds {
  background: center url(/assets/img/rmfonAds.jpg);
  background-size: cover;
}

.rmfonBrand {
  background: center url(/assets/img/rmfonBrand.png);
  background-size: cover;
}

.rmfonMerch {
  background: center url(/assets/img/rmfonMerch.png
  );
  background-size: cover;
}

.rmfonDates {
  background: center url(/assets/img/rmfonDates.png);
  background-size: cover;
}


.rmShapkaText {
  color: #5ced5c;
  font-size: calc(1em + 8vw) !important;
  font-family: 'Bellota Text', cursive;
  font-weight: 300;
}

.rmUnShapkaText {
  color: #ffffff;
  font-size: calc(1em + 3vw) !important;
  font-family: 'Bellota Text', cursive;
  font-weight: 300;
}

.rmShapkaBorderLeft {
  border-style: solid;
  border-width: 0px 0px 0px 1px;
  border-color: aliceblue;
  box-shadow: -25px 0px 30px 0px rgba(255, 255, 255, 0.417)
}

.rmShapkaBorderRight {
  border-style: solid;
  border-width: 0px 1px 0px 0px;
  border-color: aliceblue;
  box-shadow: 15px 0px 20px 0px rgba(255, 255, 255, 0.417)
}

.rmShapkaBorderBottom {
  border-style: solid;
  border-width: 1px 0px 1px 0px;
  border-color: aliceblue;
}

.ccolors {
  animation-name: ccolors;
  animation-duration: 3s;
  animation-timing-function: linear;
  animation-iteration-count: infinite;
}
@keyframes ccolors {
  from {
    width: 25%;
  }
  to {
    width: 40%;
  }
}


.rmDeg {
  animation-name: reclDeg;
  animation-duration: 18ss;
  animation-timing-function: linear;
  animation-iteration-count: infinite;
}
@keyframes reclDeg {
  from {
    rotate: 0deg;
  }
  to {
    rotate: 360deg;
  }
}

/****************************************************************
/* ФЛИПЫ */

.flip-container {
  perspective: 1000;
  cursor: pointer;
 }
  /* переверните сторону при проведении мышью */
  .flip-container:hover .flipper, .flip-container.hover .flipper {
  transform: rotateY(180deg);
  }
  
 .flip-container, .front, .back {

 }
  
 /* здесь находится скорость перевертывания */
 .flipper {
  transition: 0.6s;
  transform-style: preserve-3d;
  cursor: pointer;
  position: relative;
 }
  
 /* скройте обратную сторону во время переворота */
 .front, .back {
  backface-visibility: hidden;
  
  position: absolute;
  top: 0;
  left: 0;
 }
  
 /* лицевая сторона размещена над обратной */
 .front {
  z-index: 2;
 }
  
 /* обратная, изначально скрытая сторона */
 .back {
  transform: rotateY(180deg);
 }